Bug 126171 - Postgresql fail to start on boot, even if set up to do so
Postgresql fail to start on boot, even if set up to do so
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy-strict (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Russell Coker
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-16 21:03 EDT by Uno Engborg
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-12 14:02:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Uno Engborg 2004-06-16 21:03:12 EDT
Description of problem:

I can't get postgresql to start on boot when using SELinux.

Version-Release number of selected component (if applicable):

Kernel is 2.6.6-1.435 i686
Postgresql is postgresql-7.4.2-1



How reproducible: Always


Steps to Reproduce:
1. Enable SE Linux (SELINUX=encforcing in /etc/sysconfig/selinux)
2. Set up Postgresql to run start on boot (/etc/rc5.d/S85postgresql in
my system)
3. reboot
  
Actual results:

Postgresqul doesn't start and I get the following message in the log
Jun 13 01:38:53 getingen su(pam_unix)[4467]: session closed for user
postgres
Jun 13 01:38:53 getingen kernel: audit(1087083496.937:0): avc:  denied
 { execute_no_trans } for  pid=7340 exe=/usr/sbin/prelink
path=/lib/ld-2.3.3.so dev=hda2 ino=619762
scontext=system_u:system_r:prelink_t
tcontext=system_u:object_r:ld_so_t tclass=file


Expected results:

I expect postgresql to start without error messages

Additional info:

It is possible to start postgresql manually after the system is booted
by doing su - postgresql and make sure you id is
uid=26(postgres) gid=26(postgres) grupper=26(postgres)
context=user_u:sysadm_r:sysadm_t
and then use pg_ctl start.

It is not posssible to shut it down manually though.
Comment 1 Matthew Miller 2005-04-26 12:19:35 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.

Note You need to log in before you can comment on or make changes to this bug.